Subject: Re: RT[3/3]: Reverse lookup of SHA1 references

From: Kris Shannon <[email-masked]>
Date: Fri, 29 Apr 2005 10:11:23 +1000

On 4/29/05, David A. Wheeler <[email-masked]> wrote:
> Kris Shannon wrote:
> > There are a number of places where you want to find all the objects
> > which reference this particular object. AIUI this is not currently an easy
> > task. Some thought should be put into how to make these reverse
> > lookups fast.
> I have.  Please look at my old postings.  It turns out to be easy;
> just create a directory parallel to .git/objects, say:
>    .git/reverse
>       00/
>         89123408312904819048390/
>            189412890892308290
>            238923849038329089
> 
> Anyway you get the idea.

Seems reasonable.

> Linus does NOT want renames noted; see the old emails on that.
> It's not clear this is such a good idea, but he's adamant.
> He thinks this can be handled by merge.
> If not, it can be added later.

I realize that this is not a priority for linus,  I was suggesting that
it be added as a separate object type.  I think that many of the
extra metadata could be usefully added as other object types.
These can be optional and/or added after the fact.

> --- David A. Wheeler

-- 
Kris Shannon <[email-masked]>